## org.apache.catalina
Interface Contained

All Known Implementing Classes:
  StandardPipeline, ValveBase

public interface Contained

Decoupling interface which specifies that an implementing class is associated with at most one Container instance.

Version:
  $Revision: 1.2 $ $Date: 2004/02/27 14:58:38 $
Author:
  Craig R. McClanahan, Peter Donald

Method Summary
`Container` `getContainer()` Return the `Container` with which this instance is associated (if any); otherwise return `null`.
`void` `setContainer(Container container)` Set the `Container` with which this instance is associated.

Method Detail

### getContainer

    public Container getContainer()

  Return the `Container` with which this instance is associated (if any); otherwise return `null`.

### setContainer

    public void setContainer(Container container)

  Set the `Container` with which this instance is associated.

  Parameters:
    `container` - The Container instance with which this instance is to be associated, or `null` to disassociate this instance from any Container

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.